QGIS Application - Bug report #12396
Dependencies issue with python-qgis on Ubuntu-Gnome 14.04.2
2015-03-18 06:03 AM - Maxime Jay-Allemand

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:2.8.0 Regression?: No
Operating System: ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20570
Description

Hello,

| am using a fresh install of ubuntu-gnome 14.04.2 (come with updated kernel and drivers (utopic versions))
| surely got a critical dependency issue when | tried to install Qgis 2.8 from the following PPA : deb http://qgis.org/debian trusty main.

The package python-qgis may be in charge of the problem : When | tried to install it, apt ask me to unistall about 70 packages such as
gnome, gnome-shell,..., x-server...utopic etc
However, | succeeded to install the package qgis alone (Then Qgis 2.8 works without python).

Moreover, everythings works as expected on ubuntu 14.04.1. Thus the problem may come from a dependency issue due to the updated
kernels and drivers in ubuntu 14.04.2 ...

sudo apt-get install python-qgis

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
empathy-common folks-common gir1.2-accountsservice-1.0 gir1.2-caribou-1.0
gir1.2-gck-1 gir1.2-gcr-3 gir1.2-gdm-1.0 gir1.2-gkbd-3.0 gir1.2-gtop-2.0
gir1.2-networkmanager-1.0 gir1.2-nmgtk-1.0 gir1.2-polkit-1.0
gir1.2-telepathyglib-0.12 gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0
gir1.2-xkl-1.0 gnome-shell-common gnome-tweak-tool gstreamer0.10-nice
gstreamer0.10-plugins-good gstreamer0.10-x gstreamer1.0-nice
libavahi-gobject0 libcaribou-common libcaribouO libfarstream-0.1-0
libfarstream-0.2-2 libfolks-eds25 libfolks-telepathy25 libfolks25 libgdm1
libgupnp-igd-1.0-4 libido3-0.1-0 libmeanwhile1 libmission-control-pluginsO
libnice10 libpurple-bin libpurple0 libtelepathy-farstream3
libtelepathy-logger3 libzephyr4 telepathy-gabble telepathy-haze
telepathy-logger telepathy-mission-control-5 telepathy-salut

Veuillez utiliser « apt-get autoremove » pour les supprimer.

Les paquets supplémentaires suivants seront installés :

gdal-bin libdrm-dev libegl1-mesa libfcgiOldbl libgl1-mesa-dev
libgl1-mesa-dri libgl1-mesa-glx libglamor0 libglapi-mesa libgles2-mesa
libglu1-mesa-dev libllvm3.4 libpthread-stubs0-dev libqgis-customwidgets
libggis-server2.8.1 libggispython2.8.1 libgt4-dbus libqt4-designer
libgt4-dev libgt4-dev-bin libgt4-help libgt4-opengl-dev libqt4-qt3support
libgt4-scripttools libgt4-test libgtassistantclient4 libgtwebkit-dev
libspice-server1 libx11-dev libx11-doc libx11-xcb-dev libxau-dev
libxcb-dri2-0-dev libxcb-dri3-dev libxcb-gIx0-dev libxcb-present-dev
libxcb-randrQ libxcb-randr0-dev libxch-render0-dev libxcb-shapeO-dev
libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev
libxext-dev libxfixes-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev
python-dateutil python-egenix-mxdatetime python-egenix-mxtools python-gdal
python-jinja2 python-markupsafe python-matplotlib python-matplotlib-data
python-psycopg?2 python-pygments python-pyparsing python-pyspatialite
python-qgis-common python-gscintilla2 python-qt4 python-sip python-support
python-tz qdbus qt4-designer qt4-linguist-tools gt4-gmake gtchooser
x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev
x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev
x11proto-xf86vidmode-dev xorg-sgml-doctools xserver-xorg xserver-xorg-core
xserver-xorg-input-evdev xserver-xorg-video-ati xserver-xorg-video-cirrus
xserver-xorg-video-fbdev xserver-xorg-video-glamoreg|
xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
xserver-xorg-video-modesetting xserver-xorg-video-neomagic
XServer-xorg-video-nouveau xserver-xorg-video-openchrome
xserver-xorg-video-qgx| xserver-xorg-video-r128 xserver-xorg-video-radeon
xserver-xorg-video-s3 xserver-xorg-video-savage
xserver-xorg-video-siliconmotion xserver-xorg-video-sis
xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
Xserver-xorg-video-vesa xtrans-dev

Paquets suggéreés :

libglide3 firebird-dev libmysglclient-dev libpg-dev libsqlite0-dev
libsqlite3-dev qgt4-dev-tools gt4-doc unixodbce-dev libxcb-doc libxext-doc
python-egenix-mxdatetime-dbg python-egenix-mxdatetime-doc
python-egenix-mxtools-dbg python-egenix-mxtools-doc python-jinja2-doc dvipng
ipython python-configobj python-excelerator python-matplotlib-doc
python-nose python-scipy python-tornado python-traits texlive-latex-extra
ttf-staypuft python-psycopg2-doc ttf-bitstream-vera python-qt4-dbg
qt4-default qt5-default xfonts-100dpi xfonts-75dpi firmware-linux

Les paquets suivants seront ENLEVES :

bijiben cheese empathy gdm gir1.2-clutter-1.0 gir1.2-clutter-gst-2.0
gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-gtkclutter-1.0 gir1.2-mutter-3.0
gir1.2-totem-1.0 gnome-contacts gnome-control-center gnome-shell
gnome-shell-extensions gnome-sushi gstreamer1.0-clutter libcheese-gtk23
libcheese? libclutter-1.0-0 libclutter-gst-2.0-0 libclutter-gtk-1.0-0
libcogl-pango15 libcogl15 libegl1-mesa-drivers-lts-utopic
libegl1-mesa-Its-utopic libgbm1-lts-utopic libgl1-mesa-dri-Its-utopic
libgl1-mesa-glx-lts-utopic libglapi-mesa-Its-utopic libgles1-mesa-Its-utopic
libgles2-mesa-Its-utopic libmutterOc libopenvg1-mesa-Ilts-utopic libtotemO
libwayland-egl1-mesa-lts-utopic libxatracker2-Its-utopic
mcp-account-manager-goa mutter nautilus-sendto-empathy totem totem-plugins
ubuntu-gnome-desktop xserver-xorg-core-lts-utopic
xserver-xorg-input-all-lts-utopic xserver-xorg-input-evdev-Ilts-utopic
Xserver-xorg-input-mouse-lts-utopic xserver-xorg-input-synaptics-Its-utopic
Xserver-xorg-input-vmmouse-lts-utopic xserver-xorg-input-wacom-lts-utopic
xserver-xorg-lts-utopic xserver-xorg-video-all-lts-utopic
xserver-xorg-video-ati-lts-utopic xserver-xorg-video-cirrus-Its-utopic
xserver-xorg-video-fbdev-Its-utopic xserver-xorg-video-intel-lts-utopic
xserver-xorg-video-mach64-lts-utopic xserver-xorg-video-mga-lts-utopic
xserver-xorg-video-modesetting-Its-utopic
Xserver-xorg-video-neomagic-lts-utopic xserver-xorg-video-nouveau-lts-utopic
xserver-xorg-video-openchrome-Ilts-utopic xserver-xorg-video-r128-Its-utopic
xserver-xorg-video-radeon-Its-utopic xserver-xorg-video-savage-Its-utopic
xserver-xorg-video-siliconmotion-lts-utopic
Xserver-xorg-video-sisusb-lts-utopic xserver-xorg-video-tdfx-Its-utopic
xserver-xorg-video-trident-lts-utopic xserver-xorg-video-vesa-Its-utopic
xserver-xorg-video-vmware-Its-utopic

Les NOUVEAUX paquets suivants seront installés :

gdal-bin libdrm-dev libegl1-mesa libfcgiOldbl libgl1-mesa-dev
libgl1-mesa-dri libgl1-mesa-glx libglamor0 libglapi-mesa libgles2-mesa
libglu1-mesa-dev libllvm3.4 libpthread-stubs0-dev libqgis-customwidgets
libggis-server2.8.1 libggispython2.8.1 libqt4-dbus libqt4-designer
libgt4-dev libqt4-dev-bin libgt4-help libgt4-opengl-dev libqt4-qt3support
libgt4-scripttools libgt4-test libgtassistantclient4 libgtwebkit-dev
libspice-server1 libx11-dev libx11-doc libx11-xcb-dev libxau-dev
libxcb-dri2-0-dev libxcb-dri3-dev libxcb-gIx0-dev libxcb-present-dev
libxcb-randr0 libxcb-randr0-dev libxcb-render0-dev libxch-shape0-dev
libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmep-dev
libxext-dev libxfixes-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev
python-dateutil python-egenix-mxdatetime python-egenix-mxtools python-gdal
python-jinja2 python-markupsafe python-matplotlib python-matplotlib-data
python-psycopg?2 python-pygments python-pyparsing python-pyspatialite
python-qgis python-qgis-common python-gscintilla2 python-qt4 python-sip
python-support python-tz qdbus qt4-designer gt4-linguist-tools gt4-gmake
gtchooser x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev
x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev
x11proto-xext-dev x11proto-xf86vidmode-dev xorg-sgml-doctools xserver-xorg
XSErver-xorg-core xserver-xorg-input-evdev xserver-xorg-video-ati
xserver-xorg-video-cirrus xserver-xorg-video-fbdev
xserver-xorg-video-glamoregl xserver-xorg-video-intel
xserver-xorg-video-mach64 xserver-xorg-video-mga
xserver-xorg-video-modesetting xserver-xorg-video-neomagic
xserver-xorg-video-nouveau xserver-xorg-video-openchrome
xserver-xorg-video-qgx| xserver-xorg-video-r128 xserver-xorg-video-radeon
Xserver-xorg-video-s3 xserver-xorg-video-savage
xserver-xorg-video-siliconmotion xserver-xorg-video-sis
Xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
xserver-xorg-video-vesa xtrans-dev

0 mis a jour, 110 nouvellement installés, 71 a enlever et 0 non mis a jour.

Il est nécessaire de prendre 36,6 Mo/49,8 Mo dans les archives.

Aprés cette opération, 150 Mo d'espace disque supplémentaires seront utilisés.

Thanks for your help !

Best regards

Maxime
History

#1 - 2015-03-18 06:54 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Do our utopic packages work better on your distribution then the trusty packages you tried?

#2 - 2015-03-18 07:12 AM - Maxime Jay-Allemand

| also tried the utopic package. But that breaks many dependencies :
If I tried to update qgis (to the utopic package) -> depend on python-qgis but python-ggis :
Dépend : python-qt4 mais ne doit pas étre installé
Dépend : python-sip mais ne doit pas étre installé
Dépend : python-ggis-common mais ne doit pas étre installé
Dépend : python-psycopg2 mais ne doit pas étre installé
Dépend : python-gscintilla2 mais ne doit pas étre installé
Dépend : python-jinja2 mais ne doit pas étre installé
Dépend : python-markupsafe mais ne doit pas étre installé
Dépend : python-pygments mais ne doit pas étre installé
Dépend : python-dateutil mais ne doit pas étre installé
Dépend : python-tz mais ne doit pas étre installé
Dépend : python-pyspatialite mais ne doit pas étre installé
Dépend : libggispython2.8.1 mais ne doit pas étre installé
Dépend : libqgis-server2.8.1 mais ne doit pas étre installé
Dépend : libstdc++6 (>=4.9) mais 4.8.2-19ubuntu doit étre installé
Dépend: sip-api-11.1 but it is not installable

(But | remember to face a similar problem few month ago on Debian Jessie after an upgrade of Qgis (ask to unistall gnome...). This problem was solved
very quickly (within 1 days). But | can't remember which librairy was concerned)

Thanks

#3 - 2015-05-05 07:26 AM - Maxime Jay-Allemand
- Status changed from Feedback to Closed

This issue seems to be fixed since an update of ubuntu 14.04.2. Installation works now properly.
